#ifndef SETTINGSFORM_H
#define SETTINGSFORM_H

#include <QWidget>
//#include "configinfo.h"
#include <QSerialPortInfo>
#include "pqQtlib/utils/pqfileutils.h"
#include "QMessageBox"
#include "qjsonobject.h"
#include "globalinfo.h"


namespace Ui {
class SettingsForm;
}

class SettingsForm : public QWidget
{
    Q_OBJECT

public:
    explicit SettingsForm(QWidget *parent = nullptr);
    ~SettingsForm();

private slots:
    void on_back_btn_clicked();

    void on_save_btn_clicked();

signals:
    void back();

private:
    Ui::SettingsForm *ui;
//    ConfigInfo config;

private:
    void Init();
};

#endif // SETTINGSFORM_H
